# Uses of Interface
javax.xml.stream.events.Namespace

Packages that use Namespace
Package
Description
javax.xml.stream
Defines interfaces and classes for the Streaming API for XML (StAX).
javax.xml.stream.events
Defines event interfaces for the Streaming API for XML (StAX).

## Uses of Namespace in javax.xml.stream

Methods in javax.xml.stream that return Namespace
Modifier and Type
Method
Description
`abstract Namespace`
XMLEventFactory.`createNamespace(String namespaceURI)`
Create a new default Namespace
`abstract Namespace`
XMLEventFactory.`createNamespace(String prefix, String namespaceUri)`
Create a new Namespace
Method parameters in javax.xml.stream with type arguments of type Namespace
Modifier and Type
Method
Description
`abstract EndElement`
XMLEventFactory.`createEndElement(String prefix, String namespaceUri, String localName, Iterator<? extends Namespace> namespaces)`
Create a new EndElement
`abstract EndElement`
XMLEventFactory.`createEndElement(QName name, Iterator<? extends Namespace> namespaces)`
Create a new EndElement

## Uses of Namespace in javax.xml.stream.events

Methods in javax.xml.stream.events that return types with arguments of type Namespace
Modifier and Type
Method
Description
`Iterator<Namespace>`
EndElement.`getNamespaces()`
Returns an Iterator of namespaces that have gone out of scope.
`Iterator<Namespace>`
StartElement.`getNamespaces()`
Returns an Iterator of namespaces declared on this element.